Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023076
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-02-13 22:232013-04-03 12:55
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP20
StatusclosedFix in branchpiFixed in SCM revisionbac11ae870b8
ProjectionnoneETAnoneTarget VersionRMP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP19.1SCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023076: The transaction generated in the cash up are creating wrong accounting date in transactions

DescriptionThe transaction generated in the cash up are creating wrong accounting date in transactions
Steps To Reproduce-Go to the web POS and execute a cash up

-Verify that the generated transactions has the accounting date as

2013-02-13 21:19:00.703 instead of 2013-02-13 00:00:00

This can create big problem when you want to post the transaction or the reconciliation
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056449)
hgbot (developer)
2013-02-14 17:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: bac11ae870b854d81a038dbb92e046c34054d93f
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 14 17:05:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bac11ae870b854d81a038dbb92e046c34054d93f [^]

Fixed issue 23076. The date in transactions (and other documents) will no longer have hours, minutes or seconds in the cash up

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0056478)
hgbot (developer)
2013-02-15 09:08

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: bac11ae870b854d81a038dbb92e046c34054d93f
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 14 17:05:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/bac11ae870b854d81a038dbb92e046c34054d93f [^]

Fixed issue 23076. The date in transactions (and other documents) will no longer have hours, minutes or seconds in the cash up

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0056482)
migueldejuana (developer)
2013-02-15 09:52

Tested and reviewed
(0057642)
hgbot (developer)
2013-04-02 20:07

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: bac11ae870b854d81a038dbb92e046c34054d93f
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 14 17:05:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/bac11ae870b854d81a038dbb92e046c34054d93f [^]

Fixed issue 23076. The date in transactions (and other documents) will no longer have hours, minutes or seconds in the cash up

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/POSUtils.java
---

- Issue History
Date Modified Username Field Change
2013-02-13 22:23 jecharri New Issue
2013-02-13 22:23 jecharri Assigned To => marvintm
2013-02-14 17:05 hgbot Checkin
2013-02-14 17:05 hgbot Note Added: 0056449
2013-02-14 17:05 hgbot Status new => resolved
2013-02-14 17:05 hgbot Resolution open => fixed
2013-02-14 17:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bac11ae870b854d81a038dbb92e046c34054d93f [^]
2013-02-14 17:06 marvintm Status resolved => new
2013-02-14 17:06 marvintm Resolution fixed => open
2013-02-14 17:06 marvintm Review Assigned To => migueldejuana
2013-02-14 17:06 marvintm Status new => acknowledged
2013-02-14 17:06 marvintm Status acknowledged => scheduled
2013-02-14 17:06 marvintm fix_in_branch => pi
2013-02-14 17:06 marvintm Status scheduled => resolved
2013-02-14 17:06 marvintm Resolution open => fixed
2013-02-15 09:08 hgbot Checkin
2013-02-15 09:08 hgbot Note Added: 0056478
2013-02-15 09:08 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bac11ae870b854d81a038dbb92e046c34054d93f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/bac11ae870b854d81a038dbb92e046c34054d93f [^]
2013-02-15 09:52 migueldejuana Note Added: 0056482
2013-02-15 09:52 migueldejuana Status resolved => closed
2013-02-15 09:52 migueldejuana Fixed in Version => RMP20
2013-04-02 20:07 hgbot Checkin
2013-04-02 20:07 hgbot Note Added: 0057642
2013-04-02 20:07 hgbot Status closed => resolved
2013-04-02 20:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/bac11ae870b854d81a038dbb92e046c34054d93f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/bac11ae870b854d81a038dbb92e046c34054d93f [^]
2013-04-03 12:55 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker